Bug 16729 - Use member-display-address-style*-includes when printing user summary
Summary: Use member-display-address-style*-includes when printing user summary
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Patrons (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Marc Véron
QA Contact: Testopia
URL:
Keywords:
Depends on: 4041
Blocks:
  Show dependency treegraph
 
Reported: 2016-06-13 19:47 UTC by Mehdi Hamidi
Modified: 2017-12-07 22:16 UTC (History)
10 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 16729: Use member-display-address-style*-includes when printing user summary (2.04 KB, patch)
2016-06-14 05:21 UTC, Marc Véron
Details | Diff | Splinter Review
Bug 16729: Use member-display-address-style*-includes when printing user summary (1.98 KB, patch)
2016-06-14 05:22 UTC, Marc Véron
Details | Diff | Splinter Review
Bug 16729: Use member-display-address-style*-includes when printing user summary (2.02 KB, patch)
2016-06-14 14:16 UTC, Mehdi Hamidi
Details | Diff | Splinter Review
Bug 16729: Use member-display-address-style*-includes when printing user summary (2.09 KB, patch)
2016-06-14 15:44 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Mehdi Hamidi 2016-06-13 19:47:38 UTC
When printing a user summary, the street number is not showing up. The template used for the printing(moremember-print.tt) only shows the address, instead of street number + address.
Comment 1 Marc Véron 2016-06-14 05:21:12 UTC Comment hidden (obsolete)
Comment 2 Marc Véron 2016-06-14 05:22:43 UTC Comment hidden (obsolete)
Comment 3 Mehdi Hamidi 2016-06-14 14:16:44 UTC Comment hidden (obsolete)
Comment 4 Jonathan Druart 2016-06-14 15:44:38 UTC
Created attachment 52389 [details] [review]
Bug 16729: Use member-display-address-style*-includes when printing user summary

This patch replaces the address part in moremember-print.tt to print identical
address information as displayed on the screen (including street numer, formatted as required by syspref 'AddressFormat'

To test:
- Apply patch
- Search for a user with all address information filled
- Verify that 'Print summmary' displays the same information
  as displayed on the screen.
- Change value of syspref 'AdressFormat'
- Verify that address format on 'Print summary' changes
  as appropriate

Signed-off-by: mehdi <mehdi@inlibro.com>

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 5 Kyle M Hall 2016-06-17 16:08:38 UTC
Pushed to master for Koha 16.11, thanks Marc!
Comment 6 Frédéric Demians 2016-06-24 05:48:50 UTC
Pushed in 16.05. Will be in 16.05.01.
Comment 7 Julian Maurice 2016-07-01 07:48:52 UTC
Patch pushed to 3.22.x, will be in 3.22.9